hirom       ;do not touch this
;header     ;uncomment if ROM has a header

;Implement the following HP growth formula:
;stamina * level HP growth table value / 32

org $C260CA
JSL formula
BRA sbr60DD

org $C260DD
sbr60DD:

org $EEAF01     ;Change this accordingly to you empty spot of choice in a bank other than $C2
formula:
PHX             ;save stat block index
TDC             ;Clear 16-bit A
LDA $1608,X     ;get level
TAX 
LDA $E6F500,X   ;normal MP gain for level
STA $FE
LDA $E6F49E,X   ;normal HP gain for level
PLX             ;get stat block index
XBA             
LDA $161C,X     ;get stamina
REP #$20
STA $004202     ;stamina * HP gain
NOP 
NOP 
NOP 
NOP 
LDA $004216     ;load multiplication result
LSR
LSR
LSR 
LSR
LSR             ;divide by 32
SEP #$20        ;8-bit A
STA $FC
RTL